# Update a contact

`POST https://backend.estactics.com/api/contacts/update`

Changes a contact. Send only the fields you want to change.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `contacts.MANAGE`.

## Body parameters

- `id` (integer, required): ID of the contact.
- `firstName` (string): First name.
- `lastName` (string): Last name.
- `type` (string): Kind of contact. See List contact types.
- `service` (string): What the contact does, for example PLUMBER. See List contact types.
- `email` (string): Email address.
- `country` (string): Country name.
- `city` (string): City.
- `address` (string): Street address.
- `website` (string): Website.
- `phoneCountryCode` (string): Two-letter country code of the phone number.
- `phoneDialCode` (integer): Dial code without the plus sign.
- `phone` (integer): National phone number, digits only.
- `notes` (string): Notes.
- `externalLinks` (array of values): Links to profiles on other sites.

## Example request body

```json
{
  "id": 66,
  "city": "Limassol"
}
```

## Example response

```json
{
  "success": true,
  "data": {
    "id": 66
  }
}
```
